building service error

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

building service error

karimh
Hello,
I'm trying to build the servicemix on linux distribution Feodora 8.

I've installed maven version 2.0.8 and using jdk 1.5.b06.
I downloaded the source using svn in a directory.
I started with the following command:
"mvn -e -Dmaven.test.skip=true -Pstep1 install"

I've got an error during the first building process.
Here is the output:
[INFO]
------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO]
------------------------------------------------------------------------
[INFO] Internal error in the plugin manager executing goal
'org.apache.servicemix:servicemix-build:1.0:copy': Unable to find the mojo
'org.apache.servicemix:servicemix-build:1.0:copy' in the plugin
'org.apache.servicemix:servicemix-build'
org/apache/servicemix/maven/plugin/legal/LegalMojo (Unsupported major.minor
version 49.0)
[INFO]
------------------------------------------------------------------------
[INFO] Trace

Please, I'm a new user (in java and no experiences in servicemix). May I ask
you do not write understandble java formule.
Thank you in advance.
Reply | Threaded
Open this post in threaded view
|

Re: building service error

Jon Brisbin
You'll see this unsupported major.minor version error when using JDK  
1.5 against stuff that was compiled with source level 1.6. If you try  
it with JDK 6.0, I suspect it will work.

Thanks!

Jon Brisbin
http://jbrisbin.com

On Dec 11, 2008, at 8:49 AM, Karim Hamed-abdelouahab wrote:

> Hello,
> I'm trying to build the servicemix on linux distribution Feodora 8.
>
> I've installed maven version 2.0.8 and using jdk 1.5.b06.
> I downloaded the source using svn in a directory.
> I started with the following command:
> "mvn -e -Dmaven.test.skip=true -Pstep1 install"
>
> I've got an error during the first building process.
> Here is the output:
> [INFO]
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Internal error in the plugin manager executing goal
> 'org.apache.servicemix:servicemix-build:1.0:copy': Unable to find  
> the mojo
> 'org.apache.servicemix:servicemix-build:1.0:copy' in the plugin
> 'org.apache.servicemix:servicemix-build'
> org/apache/servicemix/maven/plugin/legal/LegalMojo (Unsupported  
> major.minor
> version 49.0)
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Trace
>
> Please, I'm a new user (in java and no experiences in servicemix).  
> May I ask
> you do not write understandble java formule.
> Thank you in advance.

Reply | Threaded
Open this post in threaded view
|

Re: building service error

Guillaume Nodet
Administrator
It's weird, AFAIK, we don't require JDK 6 anywhere ...

On Thu, Dec 11, 2008 at 4:25 PM, Jon Brisbin <[hidden email]> wrote:

> You'll see this unsupported major.minor version error when using JDK 1.5
> against stuff that was compiled with source level 1.6. If you try it with
> JDK 6.0, I suspect it will work.
>
> Thanks!
>
> Jon Brisbin
> http://jbrisbin.com
>
> On Dec 11, 2008, at 8:49 AM, Karim Hamed-abdelouahab wrote:
>
>> Hello,
>> I'm trying to build the servicemix on linux distribution Feodora 8.
>>
>> I've installed maven version 2.0.8 and using jdk 1.5.b06.
>> I downloaded the source using svn in a directory.
>> I started with the following command:
>> "mvn -e -Dmaven.test.skip=true -Pstep1 install"
>>
>> I've got an error during the first building process.
>> Here is the output:
>> [INFO]
>> ------------------------------------------------------------------------
>> [ERROR] BUILD ERROR
>> [INFO]
>> ------------------------------------------------------------------------
>> [INFO] Internal error in the plugin manager executing goal
>> 'org.apache.servicemix:servicemix-build:1.0:copy': Unable to find the mojo
>> 'org.apache.servicemix:servicemix-build:1.0:copy' in the plugin
>> 'org.apache.servicemix:servicemix-build'
>> org/apache/servicemix/maven/plugin/legal/LegalMojo (Unsupported
>> major.minor
>> version 49.0)
>> [INFO]
>> ------------------------------------------------------------------------
>> [INFO] Trace
>>
>> Please, I'm a new user (in java and no experiences in servicemix). May I
>> ask
>> you do not write understandble java formule.
>> Thank you in advance.
>
>



--
Cheers,
Guillaume Nodet
------------------------
Blog: http://gnodet.blogspot.com/
------------------------
Open Source SOA
http://fusesource.com
Reply | Threaded
Open this post in threaded view
|

Re: building service error

Jean-Baptiste Onofré
In reply to this post by karimh
 Which JDK do you use ?

 I think that you need to try to build using JDK 1.5.

 Regards
 JB
 --
 Jean-Baptiste Onofré
 [hidden email]
 BuildProcess/AutoDeploy Project Leader
 http://buildprocess.sourceforge.net

 On Thu 11/12/08 15:49, "Karim Hamed-abdelouahab" [hidden email]
wrote:
 Hello,
 I'm trying to build the servicemix on linux distribution Feodora 8.

 I've installed maven version 2.0.8 and using jdk 1.5.b06.
 I downloaded the source using svn in a directory.
 I started with the following command:
 "mvn -e -Dmaven.test.skip=true -Pstep1 install"

 I've got an error during the first building process.
 Here is the output:
 [INFO]

------------------------------------------------------------------------

 [ERROR] BUILD ERROR
 [INFO]

------------------------------------------------------------------------

 [INFO] Internal error in the plugin manager executing goal
 'org.apache.servicemix:servicemix-build:1.0:copy': Unable to find
the mojo
 'org.apache.servicemix:servicemix-build:1.0:copy' in the plugin
 'org.apache.servicemix:servicemix-build'
 org/apache/servicemix/maven/plugin/legal/LegalMojo (Unsupported
major.minor
 version 49.0)
 [INFO]

------------------------------------------------------------------------

 [INFO] Trace

 Please, I'm a new user (in java and no experiences in servicemix).
May I ask
 you do not write understandble java formule.
 Thank you in advance.

Reply | Threaded
Open this post in threaded view
|

Re: building service error

Jean-Baptiste Onofré
In reply to this post by karimh
 Sorry Jon,

 I haven't seen your reply :)

 Regards
 JB
 --
 Jean-Baptiste Onofré
 [hidden email]
 BuildProcess/AutoDeploy Project Leader
 http://buildprocess.sourceforge.net

 On Thu 11/12/08 16:25, Jon Brisbin [hidden email] wrote:
 You'll see this unsupported major.minor version error when using JDK

 1.5 against stuff that was compiled with source level 1.6. If you
try
 it with JDK 6.0, I suspect it will work.

 Thanks!

 Jon Brisbin
 http://jbrisbin.com [1]

 On Dec 11, 2008, at 8:49 AM, Karim Hamed-abdelouahab wrote:

 > Hello,
 > I'm trying to build the servicemix on linux distribution Feodora
8.
 >
 > I've installed maven version 2.0.8 and using jdk 1.5.b06.
 > I downloaded the source using svn in a directory.
 > I started with the following command:
 > "mvn -e -Dmaven.test.skip=true -Pstep1 install"
 >
 > I've got an error during the first building process.
 > Here is the output:
 > [INFO]
 >
------------------------------------------------------------------------

 > [ERROR] BUILD ERROR
 > [INFO]
 >
------------------------------------------------------------------------

 > [INFO] Internal error in the plugin manager executing goal
 > 'org.apache.servicemix:servicemix-build:1.0:copy': Unable to find
 > the mojo
 > 'org.apache.servicemix:servicemix-build:1.0:copy' in the plugin
 > 'org.apache.servicemix:servicemix-build'
 > org/apache/servicemix/maven/plugin/legal/LegalMojo (Unsupported
 > major.minor
 > version 49.0)
 > [INFO]
 >
------------------------------------------------------------------------

 > [INFO] Trace
 >
 > Please, I'm a new user (in java and no experiences in servicemix).

 > May I ask
 > you do not write understandble java formule.
 > Thank you in advance.



Links:
------
[1] http://jbrisbin.com
Reply | Threaded
Open this post in threaded view
|

Re: building service error

Guillaume Nodet
Administrator
In reply to this post by Jon Brisbin
I think it's rather a JDK 1.5 artifact trying to be used on JDK 1.4.
Make sure your JAVA_HOME points to the right directory for JDK 1.5 and not 1.4.

On Thu, Dec 11, 2008 at 16:25, Jon Brisbin <[hidden email]> wrote:

> You'll see this unsupported major.minor version error when using JDK 1.5
> against stuff that was compiled with source level 1.6. If you try it with
> JDK 6.0, I suspect it will work.
>
> Thanks!
>
> Jon Brisbin
> http://jbrisbin.com
>
> On Dec 11, 2008, at 8:49 AM, Karim Hamed-abdelouahab wrote:
>
>> Hello,
>> I'm trying to build the servicemix on linux distribution Feodora 8.
>>
>> I've installed maven version 2.0.8 and using jdk 1.5.b06.
>> I downloaded the source using svn in a directory.
>> I started with the following command:
>> "mvn -e -Dmaven.test.skip=true -Pstep1 install"
>>
>> I've got an error during the first building process.
>> Here is the output:
>> [INFO]
>> ------------------------------------------------------------------------
>> [ERROR] BUILD ERROR
>> [INFO]
>> ------------------------------------------------------------------------
>> [INFO] Internal error in the plugin manager executing goal
>> 'org.apache.servicemix:servicemix-build:1.0:copy': Unable to find the mojo
>> 'org.apache.servicemix:servicemix-build:1.0:copy' in the plugin
>> 'org.apache.servicemix:servicemix-build'
>> org/apache/servicemix/maven/plugin/legal/LegalMojo (Unsupported
>> major.minor
>> version 49.0)
>> [INFO]
>> ------------------------------------------------------------------------
>> [INFO] Trace
>>
>> Please, I'm a new user (in java and no experiences in servicemix). May I
>> ask
>> you do not write understandble java formule.
>> Thank you in advance.
>
>



--
Cheers,
Guillaume Nodet
------------------------
Blog: http://gnodet.blogspot.com/
------------------------
Open Source SOA
http://fusesource.com
Reply | Threaded
Open this post in threaded view
|

Re: building service error

karimh
Hello Guillaume and everybody,
it's my fault, for all those who have suspected that it's a JDK version were
right.
I choose the wrong host. On the host JDK 1.4.2 is installed.

Sorry for the mistake.

Karim

On Thu, Dec 11, 2008 at 6:27 PM, Guillaume Nodet <[hidden email]> wrote:

> I think it's rather a JDK 1.5 artifact trying to be used on JDK 1.4.
> Make sure your JAVA_HOME points to the right directory for JDK 1.5 and not
> 1.4.
>
> On Thu, Dec 11, 2008 at 16:25, Jon Brisbin <[hidden email]> wrote:
> > You'll see this unsupported major.minor version error when using JDK 1.5
> > against stuff that was compiled with source level 1.6. If you try it with
> > JDK 6.0, I suspect it will work.
> >
> > Thanks!
> >
> > Jon Brisbin
> > http://jbrisbin.com
> >
> > On Dec 11, 2008, at 8:49 AM, Karim Hamed-abdelouahab wrote:
> >
> >> Hello,
> >> I'm trying to build the servicemix on linux distribution Feodora 8.
> >>
> >> I've installed maven version 2.0.8 and using jdk 1.5.b06.
> >> I downloaded the source using svn in a directory.
> >> I started with the following command:
> >> "mvn -e -Dmaven.test.skip=true -Pstep1 install"
> >>
> >> I've got an error during the first building process.
> >> Here is the output:
> >> [INFO]
> >> ------------------------------------------------------------------------
> >> [ERROR] BUILD ERROR
> >> [INFO]
> >> ------------------------------------------------------------------------
> >> [INFO] Internal error in the plugin manager executing goal
> >> 'org.apache.servicemix:servicemix-build:1.0:copy': Unable to find the
> mojo
> >> 'org.apache.servicemix:servicemix-build:1.0:copy' in the plugin
> >> 'org.apache.servicemix:servicemix-build'
> >> org/apache/servicemix/maven/plugin/legal/LegalMojo (Unsupported
> >> major.minor
> >> version 49.0)
> >> [INFO]
> >> ------------------------------------------------------------------------
> >> [INFO] Trace
> >>
> >> Please, I'm a new user (in java and no experiences in servicemix). May I
> >> ask
> >> you do not write understandble java formule.
> >> Thank you in advance.
> >
> >
>
>
>
> --
> Cheers,
> Guillaume Nodet
> ------------------------
> Blog: http://gnodet.blogspot.com/
> ------------------------
> Open Source SOA
> http://fusesource.com
>



--
Mr K. HAMED-ABDELOUAHAB